/*****************************************************************************/
/*                                                                           */
/* File Name:    MOVEKBD.RC                                                  */
/*                                                                           */
/* Description:  Resource file for the MOVEKBD Sample program.               */
/*                                                                           */
/*                                                                           */
/*  Copyright (C) 1993 IBM Corporation                                       */
/*                                                                           */
/*      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is          */
/*      sample code created by IBM Corporation. This sample code is not      */
/*      part of any standard or IBM product and is provided to you solely    */
/*      for  the purpose of assisting you in the development of your         */
/*      applications.  The code is provided "AS IS", without                 */
/*      warranty of any kind.  IBM shall not be liable for any damages       */
/*      arising out of your use of the sample code, even if they have been   */
/*      advised of the possibility of such damages.                          */
/*                                                                           */
/*****************************************************************************/
#define INCL_PM
#include <os2.h>
#include "movekbd.h"

ICON ID_WINDOW PRELOAD MOVEKBD.ICO

MENU ID_WINDOW PRELOAD
BEGIN
   SUBMENU "~Demo", IDM_OPTIONS, MIS_TEXT
   BEGIN
      MENUITEM "~Start Demo", IDM_DEMO, MIS_TEXT
      MENUITEM "E~xit Demo", IDM_EXIT_DEMO, MIS_TEXT
   END
   MENUITEM "~Help", IDM_HELP, MIS_TEXT
END

HELPTABLE  MOVEKBD_HELPTABLE
{
  HELPITEM ID_WINDOW,             MOVEKBD_HELPSUBTABLE,     PANEL_MOVEKBD
  HELPITEM IDD_LOAD,              BTNLOAD_HELPSUBTABLE,     PANEL_BTNLOAD
  HELPITEM IDD_MOVE,              BTNMOVE_HELPSUBTABLE,     PANEL_BTNMOVE
  HELPITEM IDD_ENLARGE,           BTNLARG_HELPSUBTABLE,     PANEL_BTNLARG
  HELPITEM IDD_SHRINK,            BTNSHNK_HELPSUBTABLE,     PANEL_BTNSHNK
  HELPITEM IDD_CLOSE,             BTNCLOSE_HELPSUBTABLE,    PANEL_BTNCLOSE
}

HELPSUBTABLE MOVEKBD_HELPSUBTABLE
BEGIN
  HELPSUBITEM IDM_HELP,           PANEL_MOVEKBD
END

HELPSUBTABLE BTNLOAD_HELPSUBTABLE
BEGIN
  HELPSUBITEM IDD_LOAD,           PANEL_BTNLOAD
END

HELPSUBTABLE BTNMOVE_HELPSUBTABLE
BEGIN
  HELPSUBITEM IDD_MOVE,           PANEL_BTNMOVE
END

HELPSUBTABLE BTNLARG_HELPSUBTABLE
BEGIN
  HELPSUBITEM IDD_ENLARGE,        PANEL_BTNLARG
END

HELPSUBTABLE BTNSHNK_HELPSUBTABLE
BEGIN
  HELPSUBITEM IDD_SHRINK,         PANEL_BTNSHNK
END

HELPSUBTABLE BTNCLOSE_HELPSUBTABLE
BEGIN
  HELPSUBITEM IDD_CLOSE,           PANEL_BTNCLOSE
END

STRINGTABLE PRELOAD
BEGIN
   IDS_APPNAME           "MOVEKBD"
   IDS_NO_KBD_LOAD       "Cannot load Pop-Up Keyboard."
   IDS_NO_SET_KBD_POS    "Cannot set the Pop-Up Keyboard to new position."
   IDS_NO_QUERY_KBD_POS  "Cannot query the Pop-Up Keyboard position."
   IDS_NO_RESIZE_KBD     "Cannot resize the Pop-Up Keyboard."
   IDS_NO_CLOSE_KBD      "Cannot Close the Pop-Up Keyboard."
   IDS_NO_KBD_RUNNING    "The Pop-Up Keyboard is not running."
   IDS_NO_HELP           "No HELP available for this application."
   IDS_PEN_NOT_INSTALLED "Pen for OS/2 is not installed on this system."
   IDS_PEN_NOT_RUNNING   "Pen for OS/2 is not running on this system."
END

rcinclude MOVEKBD.DLG
